Package be.e_contract.ejsf.component.test

# Interface ComponentTest

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `InfoComponentTest`, `XSSComponentTest`

public interface ComponentTest extends Serializable

## Method Summary

Modifier and Type
Method
Description
`void`
`cleanup(TestComponentComponent testComponent, javax.faces.component.UIComponent component)`
`String`
`getName()`
`String`
`run(TestComponentComponent testComponent, javax.faces.component.UIComponent component)`

## Method Details

### getName

String getName()

### run

String run(TestComponentComponent testComponent, javax.faces.component.UIComponent component)

### cleanup

void cleanup(TestComponentComponent testComponent, javax.faces.component.UIComponent component)